Download the result of bulk email list
POST https://api.bouncify.io/v1/download
On this endpoint jobId is a query parameter, and it is camelCased (jobId, not job_id) — the opposite of the bulk endpoints, where job_id is a path parameter. apikey is also a query parameter. An Authorization header is not accepted.
The full request is POST /v1/download?jobId={jobId}&apikey=YOUR_API_KEY. Omitting jobId returns 403 Forbidden — "Expected field params.query.jobId not available".
Request Parameters
| Parameter | Location | Type | Required | Description |
|---|---|---|---|---|
jobId | Query | string | Required | The job_id corresponding to the list you need to download. CamelCased and passed as ?jobId= — not in the URL path |
apikey | Query | string | Required | Your 32-character API key, passed as ?apikey= |
RAW_BODY | Body | json | Optional | Provide the results type to include in the download file. Defaults to { "filterResult":["deliverable", "undeliverable", "accept_all", "unknown"] }. Only filterResult is accepted — any other field is rejected with 403 |
Successful Response
Text
"Email", "Verification Result", "Syntax Error", "ISP", "Role", "Disposable", "Trap", "Verified At" "info@sample.com", "deliverable", "N", "Y", "N", "N", "N", "2021-09-13T06:49:39.280Z" "support@sample.in", "accept-all", "N", "N", "Y", "Y", "N", "2021-09-13T06:49:39.282Z"
Response Parameters
| Parameter | Type | Description |
|---|---|---|
Email | The email that was verified. | |
Verification Result | string | The verified results will be: deliverable, undeliverable, unknown, accept-all |
Verified At | date time | The time at which the email is verified |
Syntax Error | [0, 1] | Whether the email is syntactically incorrect |
ISP | [0, 1] | Whether the email is considered a role address. (e.g. "sales@, info@, help@, etc.) |
Role | [0, 1] | Whether the email is hosted by a free email provider like Gmail, Yahoo!, Hotmail etc.. |
Disposable | [0, 1] | Whether this is a temporary email. |
Trap | [0, 1] | Is this a honey-trap email |
Other Responses
The response you get when the API key is invalid:
HTTP/1.1 401 Unauthorized
{
"result":"Invalid API Key",
"success": false
}
The response you get when you provide invalid job_id:
HTTP/1.1 400 BadRequest
{
"result": "Job not found. Invalid jobId",
"success": false
}
The response you get when jobId is missing from the query string:
HTTP/1.1 403 Forbidden
{
"name": "Forbidden",
"message": "Expected field params.query.jobId not available",
"code": 403
}
The response you get when your account is under review or restricted:
HTTP/1.1 400 BadRequest
{
"result": "DOWNLOAD-RESTRICTED",
"success": false
}
The response you get when you passed the invalid job_id:
HTTP/1.1 400 BadRequest
{
"result": "Job not found. Invalid jobId",
"success": false
}
The response you get when you passed the incorrect filter result options:
HTTP/1.1 400 BadRequest
{
"result": "Invalid filterResult. Please provide correct filterResult options",
"success": false
}
The response you get when the job is still verifying:
HTTP/1.1 400 BadRequest
{
"result": "Job is being verified, please wait until it completes.",
"success": false
}
The response you get when the job is ready to begin verification:
HTTP/1.1 400 BadRequest
{
"result": "Job is ready for verification, please start verification and download your results once list verified.",
"success": false
}
The response you get when the job is still being preparing for verification:
HTTP/1.1 400 BadRequest
{
"result": "Job is being prepared for verification, please start verifying and then download you result.",
"success": false
}
The response you get when the uploaded list contains invalid data:
HTTP/1.1 400 BadRequest
{
"result": "List cannot be downloaded, The uploaded list contains invalid data.",
"success": false
}
The response you get when the job not available:
HTTP/1.1 400 BadRequest
{
"result": "Job not found.",
"success": false
}
Example
Python / Go / PHP / Ruby / Shell
curl --request POST \
--url 'https://api.bouncify.io/v1/download?jobId={jobId}&apikey=YOUR_API_KEY' \
--header 'accept: text/plain' \
--header 'content-type: application/json' \
--data '
{
"filterResult": [
"deliverable",
"undeliverable",
"accept_all",
"unknown"
]
}
'